Bug 1274 - QtWebkit not work with Rekonq, Konqueror HTML5
: QtWebkit not work with Rekonq, Konqueror HTML5
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 00:44 MSK by Postnikov Dmitry
Modified: 2015-04-15 18:50 MSD (History)
1 user (show)

See Also:
RPM Package: webkit1.0-1.10.0-4-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments
Rekonq not nest HTML5 v/a (192.68 KB, image/png)
2012-12-20 00:44 MSK, Postnikov Dmitry
Details
Rekonq not nest HTML5 v/a 2 (201.90 KB, image/png)
2012-12-20 00:44 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-12-20 00:44:08 MSK
Created attachment 933 [details]
Rekonq not nest HTML5 v/a

Description of problem:

QtWebkit not work with Rekonq, Konqueror HTML5.

==================
[pastordi@mindlife ~]$ rpm -qa | grep webkit
webkit1.0-webinspector-1.10.0-4-rosa2012.1.x86_64
lib64webkitgtk1.0_0-1.10.0-4-rosa2012.1.x86_64
lib64qtwebkit4-4.8.4-1-rosa2012.1.x86_64
lib64kdewebkit5-4.9.4-1-rosa2012.1.x86_64
python-qt4-webkit-4.9.4-1-rosa2012.1.x86_64
lib64webkitgtk3.0_0-1.10.0-4-rosa2012.1.x86_64
webkit1.0-1.10.0-4-rosa2012.1.x86_64
[pastordi@mindlife ~]$
==================
konqueror-4.9.4-1-rosa2012.1.x86_64
rekonq-1.0-1-rosa2012.1.x86_64.rpm
==================
Comment 1 Postnikov Dmitry 2012-12-20 00:44:22 MSK
Created attachment 934 [details]
Rekonq not nest HTML5 v/a 2
Comment 2 Denis Silakov 2012-12-20 14:12:57 MSK
Probably this message contains the key:

http://lists.webkit.org/pipermail/webkit-qt/2012-February/002487.html

...
They <audio/video tags> should be supported but you may encounter some issues if you use the WebKit which comes inside Qt 4.8. Why?

Because QtWebKit depends on QtMultimedia and inside Qt 4.8 we don't have QtMultimedia (the version inside is deprecated, it is in
QtMobility) so it makes impossible to enable it.

I recommend you to build QtWebKit 2.2 out of Qt.
...
Comment 3 Postnikov Dmitry 2012-12-27 15:30:16 MSK
When it is planned build QtWebKit 2.2 out of Qt?
Comment 4 Postnikov Dmitry 2013-11-11 17:31:09 MSK
(In reply to comment #3)
> When it is planned build QtWebKit 2.2 out of Qt?

Up
Comment 5 Stanislav Fomin 2015-04-15 18:32:33 MSD
Надо перетестировать под RED, и либо
* закрыть, если не воспроизводится
* либо приложить свежие свидетельства, будем разбираться.
Comment 6 Denis Silakov 2015-04-15 18:40:34 MSD
The issue is still valid.
Comment 7 Denis Silakov 2015-04-15 18:50:37 MSD
Let's move this out from enterprise category. Rekonq is in contrib, Konqueror is not the recommended browser.